package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.coupon.Exchange;

import java.util.List;

/**
 *  兑换表接口
 * @author
 * @Date 2018-12-11
 */
public interface ExchangeMapper {
    /**
     * 获取集合
     * @param  exchange
     * @return List
     */
    List<Exchange> getExchangeList(Exchange  exchange);
    /**
     * 查询单条数据
     * @param  id
     * @return  exchange
     */
    Exchange getExchangeById(Integer  id);
    /**
     * 增加数据
     * @param  exchange
     * @return Integer
     */
    Integer  save(Exchange  exchange);
    /**
     * 修改数据
     * @param  exchange
     * @return Integer
     */
    Integer  update(Exchange  exchange);
}